### Function

# ECal util_priority_from_string

#### Declaration [src]

    gint
    e_cal_util_priority_from_string (
      const gchar* string
    )

#### Description [src]

Converts a translated priority string to an iCalendar priority value.

#### Parameters

`string`

  Type: `const gchar*`

  A string representing the PRIORITY value.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gint`

The priority (0-9) or -1 if the priority string is not valid.